找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 2154|回复: 7

【求助】变径弯头的放样

[复制链接]
发表于 2014-11-27 16:32:52 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
如图,就是吧底面直径改为350,上面直径63,弯头弯着的高度是600,角度90.。。。。怎么放样。。。913223725@qq.com 求大神帮帮忙.
QQ图片20141127163036.png
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
发表于 2014-11-27 17:58:42 | 显示全部楼层
:loveliness::loveliness::loveliness::loveliness::loveliness::loveliness::loveliness:
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

已领礼包: 3442个

财富等级: 富可敌国

发表于 2014-11-27 22:38:01 | 显示全部楼层
半径600和你说的高度600是一回事吗?没有要求弯头节数
1.jpg
请点击此处下载

查看状态:需购买或无权限

您的用户组是:游客

文件名称:Drawing1.zip 
下载次数:10  文件大小:61.08 KB 
下载权限: 不限 以上  [免费赚D豆]


点评

是到弯曲最高点600,五节弯头  详情 回复 发表于 2014-11-28 10:42
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-11-28 10:42:02 | 显示全部楼层
=^_^= 发表于 2014-11-27 22:38
半径600和你说的高度600是一回事吗?没有要求弯头节数

是到弯曲最高点600,五节弯头

点评

弯曲最高点600,五节弯头  详情 回复 发表于 2014-12-5 19:30
不太了解你们专业,左边直的图行,间隔反向拼接成右边的弯头吗?  详情 回复 发表于 2014-11-28 11:38
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 40个

财富等级: 招财进宝

发表于 2014-11-28 11:38:14 | 显示全部楼层
913223725 发表于 2014-11-28 10:42
是到弯曲最高点600,五节弯头

不太了解你们专业,左边直的图行,间隔反向拼接成右边的弯头吗?

点评

跟那个差不多。。。就是左边那个弯的最高离地面600。底面直径350,上面直径63,弯头一共是五节。。你看能不能放  详情 回复 发表于 2014-11-28 12:24
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-11-28 12:24:01 | 显示全部楼层
本帖最后由 913223725 于 2014-11-28 12:26 编辑
newer 发表于 2014-11-28 11:38
不太了解你们专业,左边直的图行,间隔反向拼接成右边的弯头吗?

跟那个差不多。。。就是左边那个弯的最高离地面600。底面直径350,上面直径63,弯头一共是五节。。你看能不能放,就是那个半径不到600,也就550左右
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 1268个

财富等级: 财源广进

发表于 2014-11-29 09:08:01 | 显示全部楼层
http://blog.sina.com.cn/s/blog_49dae14c010009y8.html

  1. (defun c:njw (/           dd        dx   bb          rr   nn   mm         nn1  nn2  p        tanp
  2.               hh   tgg        gg   qq          qqq  qqdiv         oe   os   ps        pm1
  3.               pm2  pf1        pf2  k          ot   r    oj         v    z           u        p1
  4.               kk   ps
  5.              )
  6.   (setvar "cmdecho" 0)
  7.   ;;数据输入部分
  8.   (setq dcl_id (load_dialog "c:/njw.dcl"))
  9.   (new_dialog "njw" dcl_id)
  10.   (s_img "njw_img")
  11.   (action_tile "accept" "(s_njw)(done_dialog)")
  12.   (start_dialog)
  13.   (unload_dialog dcl_id) ;_对话框部分

  14.   (setq po (getpoint "\n插入点 : "))
  15.   (setq bb (/ (* pi bb) 180.0))
  16.   (setq nn2 1)
  17.   (setq nn (- nn 1))
  18.   ;;计算部分
  19.   (setq p (/ bb 2 nn))
  20.   (setq tanp (tan p))
  21.   (setq hh (* 2 nn rr (tan (/ bb 2 nn))))
  22.   (setq tgg (/ (- dd dx) (* 2 hh)))
  23.   (setq gg (atan tgg)) ;_圆锥角大小
  24.   (setq qq (* pi (sin gg))) ;_展开角大小,弧度
  25.   (setq qqq (/ (* qq 180.0) pi)) ;_展开角大小,角度
  26.   (setq qqdiv (/ qq mm))
  27.   (setq oe (/ dx 2.0 (sin gg)))
  28.   (setq os (/ dd 2.0 (sin gg)))
  29.   ;;画出扇形
  30.   (setq ps (polar po 0 os))
  31.   (setq pm1 (polar po qq os))
  32.   (setq pm2 (polar po (- qq) os))
  33.   (setq pf1 (polar po qq oe))
  34.   (setq pf2 (polar po (- qq) oe))
  35.   (command "arc" "c" po pm2 pm1 "")
  36.   (command "arc" "c" po pf2 pf1 "")
  37.   (command "line" po ps "")
  38.   (command "line" po pm1 "")
  39.   (setq sset (ssadd))
  40.   (command "line" po pm2 "")
  41.   (setq sset (ssadd (entlast) sset)) ;_选择线po pm2
  42.   (command "array"
  43.            (entlast)
  44.            ""
  45.            "p"
  46.            po
  47.            (+ mm mm 1)
  48.            (+ qqq qqq)
  49.            "y"
  50.            ""
  51.   )
  52.   ;;用循环画展开线
  53.   (setq nn1 (- nn 1))
  54.   (repeat nn
  55.     (setq k 0)
  56.     (setq ot (-        (/ dd 2.0 tgg)
  57.                 (* (- (* 2.0 nn2) 1) rr (tan (/ bb 2 nn)))
  58.              )
  59.     )
  60.     (setq r (* ot (sin gg)))
  61.     (princ "\n 第")
  62.     (princ nn2)
  63.     (princ "个圆的半径")
  64.     (princ r)
  65.     (setq oj (*        ot
  66.                 (/ (sin gg) (cos p))
  67.                 (cos (+ gg p))
  68.                 (+ (/ 1 tgg) tanp)
  69.              )
  70.     )
  71.     (cond ((= (rem nn2 2) 0)
  72.            (setq kk k)
  73.            (setq add 1)
  74.           )
  75.           (t
  76.            (setq kk (- mm k))
  77.            (setq add -1)

  78.           )
  79.     ) ;_如果nn2是偶数则kk从小数开始,且加加,如果nn2是奇数则kk从大数开始,且减减
  80.     (setq nn2 (+ nn2 1))
  81.     (setq sset (ssadd))
  82.     (command "pline")
  83.     (repeat (+ mm 1)

  84.       (setq v (/ (* pi kk) mm))
  85.       (setq z (/ oj (- 1 (* tgg tanp (cos v)))))
  86.       (setq u (/ z (cos gg)))
  87.       (setq p1 (polar po (* k qqdiv) u))
  88.       (command "non" p1)
  89.       ;;(princ "\n z=") (princ z)
  90.       ;;(princ "\n u=") (princ u)
  91.       ;;(princ "\n nn1=") (princ nn1)
  92.       ;; (princ "\n kk=") (princ kk)
  93.       ;;(princ "\n k=") (princ k)
  94.       ;;(princ "\n nn2=") (princ nn2)
  95.       ;;(princ "\n oj=") (princ oj)
  96.       ;;(princ "\n ot=") (princ ot)
  97.       (setq kk (+ kk add))
  98.       (setq k (+ k 1))
  99.     )
  100.     (command "")
  101.     (setq sset (ssadd (entlast) sset))
  102.     (command "mirror" (entlast) "" po ps "n")
  103.   )
  104.   (prin1)

  105. )
  106. (prin1)
  107. (defun tan (ang)
  108.   (/ (sin ang) (cos ang))
  109. )
  110. (defun s_njw ()
  111.   (setq        dd (abs (atof (get_tile "njw_dd")))
  112.         dx (abs (atof (get_tile "njw_dx")))
  113.         bb (abs (atof (get_tile "njw_bb")))
  114.         rr (abs (atof (get_tile "njw_rr")))
  115.         nn (abs (atoi (get_tile "njw_nn")))
  116.         mm (abs (atoi (get_tile "njw_mm")))
  117.   )
  118. ) ;_获得输入的数据

  119. (defun s_img (key)
  120.   (cond ((= key "njw_img") (setq sld "c:/njw.sld")))
  121.   (setq        tmp_x (dimx_tile key)
  122.         tmp_y (dimy_tile key)
  123.   )
  124.   (start_image key)
  125.   (fill_image 0 0 tmp_x tmp_y -2)
  126.   (slide_image 0 0 tmp_x tmp_y sld)
  127.   (end_image)
  128. ) ;_获得输入的图像

njw:dialog
{  label="牛角弯的展开图*by yangwting" ;


:row    //新增的横列组件
{  spacer_0;        //开大括号及空间组件
  :edit_box  
          {  label="大圆中径D : " ;
         key="njw_dd" ;
         edit_limit=16;
         edit_width=10;
         fixed_width=true;
         value="1500.0" ;
         }
  spacer_0;     //开大括号及空间组件
                :edit_box
         {  label="小圆中径d : " ;
         key="njw_dx" ;
         edit_limit=16;
         edit_width=10;
         fixed_width=true;
         value="800.0" ;
         }
  spacer_0;  //开大括号及空间组件
                :edit_box
         {  label="牛角弯角度B : " ;
         key="njw_bb" ;
         edit_limit=16;
         edit_width=10;
         fixed_width=true;
         value="90.0" ;
         }
  spacer_0;  //开大括号及空间组件


}  //横列的关括号
:row    //新增的横列组件
{  spacer_0;        //开大括号及空间组件
  :edit_box  
          {  label="牛角弯半径 : " ;
         key="njw_rr" ;
         edit_limit=16;
         edit_width=10;
         fixed_width=true;
         value="1000.0" ;
         }
  spacer_0;     //开大括号及空间组件
                :edit_box
         {  label="分的节数 :    " ;
         key="njw_nn" ;
         edit_limit=16;
         edit_width=10;
         fixed_width=true;
         value="5" ;
         }
  spacer_0;  //开大括号及空间组件
               :edit_box
         {  label="等分成份数 :    " ;
         key="njw_mm" ;
         edit_limit=16;
         edit_width=10;
         fixed_width=true;
         value="6" ;
         }
  spacer_0;  //开大括号及空间组件      
}  //横列的关括号

:image_button  //影像按钮组件
  {  key="njw_img" ;
   width=5;
   height=20;
   color=0;
   allow_accept=true;
  }     
ok_only;
}

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 3442个

财富等级: 富可敌国

发表于 2014-12-5 19:30:29 | 显示全部楼层
913223725 发表于 2014-11-28 10:42
是到弯曲最高点600,五节弯头

弯曲最高点600,五节弯头
请点击此处下载

查看状态:需购买或无权限

您的用户组是:游客

文件名称:Drawing1.zip 
下载次数:0  文件大小:93.58 KB 
下载权限: 不限 以上  [免费赚D豆]



论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-2-23 02:43 , Processed in 0.459807 second(s), 56 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2023 Discuz! Team.

快速回复 返回顶部 返回列表